server:
  address: ":12401"
  NameToUriType: 3
  maxHeaderBytes: "20KB"
  clientMaxBodySize: "50MB"
  # Logging配置
  logPath: "resource/log/server" # 日志文件存储目录路径，建议使用绝对路径。默认为空，表示关闭
  logStdout: true # 日志是否输出到终端。默认为true
  errorStack: true # 当Server捕获到异常时是否记录堆栈信息到日志中。默认为true
  errorLogEnabled: true # 是否记录异常日志信息到日志中。默认为true
  errorLogPattern: "error-{Ymd}.log" # 异常错误日志文件格式。默认为"error-{Ymd}.log"
  accessLogEnabled: false # 是否记录访问日志。默认为false
  accessLogPattern: "access-{Ymd}.log" # 访问日志文件格式。默认为"access-{Ymd}.log"
  dumpRouterMap: false
  graceful: true # 是否开启平滑重启特性，开启时将会在本地增加10000的本地TCP端口用于进程间通信。默认false
  gracefulTimeout: 10 # 父进程在平滑重启后多少秒退出，默认2秒。若请求耗时大于该值，可能会导致请求中断

  # # 接口文档
  openapiPath: "/api.json" # OpenAPI接口文档地址
  swaggerPath: "/swagger" # 内置SwaggerUI展示地址

logger:
  level: "all"
  stdout: true
  flags: 44

# Database.
database:
  default:
    link: "mysql:root:123456@tcp(127.0.0.1:3306)/kami_v2?charset=utf8mb4&parseTime=true&loc=Local"
    debug: true
    charset: "utf8mb4" #数据库编码
    dryRun: false #空跑
    maxIdle: 10 #连接池最大闲置的连接数
    maxOpen: 10 #连接池最大打开的连接数
    maxLifetime: "30s" #(单位秒)连接对象可重复使用的时间长度

  v1:
    link: "mysql:root:mysql123@tcp(127.0.0.1:3306)/kami?charset=utf8mb4&parseTime=true&loc=Local"
    debug: true
    charset: "utf8mb4" #数据库编码
    dryRun: false #空跑
    maxIdle: 10 #连接池最大闲置的连接数
    maxOpen: 1000 #连接池最大打开的连接数
    maxLifetime: "30s" #(单位秒)连接对象可重复使用的时间长度

# Redis 配置示例
redis:
  # 单实例配置
  default:
    address: 127.0.0.1:30567
    pass: redis123
    db: 4
    idleTimeout: "60s" #连接最大空闲时间，使用时间字符串例如30s/1m/1d
    maxConnLifetime: "90s" #连接最长存活时间，使用时间字符串例如30s/1m/1d
    waitTimeout: "60s" #等待连接池连接的超时时间，使用时间字符串例如30s/1m/1d
    dialTimeout: "30s" #TCP连接的超时时间，使用时间字符串例如30s/1m/1d
    readTimeout: "30s" #TCP的Read操作超时时间，使用时间字符串例如30s/1m/1d
    writeTimeout: "30s" #TCP的Write操作超时时间，使用时间字符串例如30s/1m/1d
    maxActive: 100

#casbin配置
casbin:
  modelFile: "./resource/casbin/rbac_model.conf"
  policyFile: "./resource/casbin/rbac_policy.csv"

secret:
  frontend:
    key: thisis32bitlongpassphraseimusing
    iv: 1234567890123456
  backend:
    key: thisis32bitlongpassphraseimusing
    iv: 1234567890123456

token:
  cacheKey: "gfToken"
  timeout: 10800
  maxRefresh: 5400
  multiLogin: true
  encryptKey: "49c54195e750b04e74a8429b17896586"
  cacheModel: "redis"

  plugin:
  # 插件配置
  notify:
    platform: feishu
    webhook: ""

OAuth:
  tMallGame:
    gateway: https://eco.taobao.com/router/rest
    appSecret: e1bd6702de814bdd0de91db9650d43de
    appKey: 34819216
    redirectUri: http://121.37.253.228:12400/iframe/tMallGameOAuthCallback
  agiso:
    appId: 2024091137029112608
    appSecret: mxaxz7py3d5ww8x59vxs2wsg2mvn9mat
  sync:
    baseUrl: http://121.37.253.228:12400
    interval: 1
    serverId: 宝宝服务器

jdCard:
  url: http://127.0.0.1:8189
